---
description: Watheia context.
labels: ["context"]
---

<!-- @format -->

import { WaContext } from "./wa-context"
import { WaTheme } from "./wa-context.provider"
import { MockComponent } from "./wa-context.composition"

## React Theme Context

This is a simple [React Context](https://reactjs.org/docs/context.html) shared as a Bit
component. Use this component to apply a theme as a context to set on it's children.

### Component usage

```tsx
() => {
import React, { useContext } from 'react';
import { ThemeProvider } from './theme-context-provider';
import { ThemeContext } from './theme-context';

<WaTheme mode="light">
  <MockComponent />
</WaTheme>;
```

### Using props to customize the theme

Change the mode from dark to light to see the affect:

```tsx live
;() => {
  return (
    <WaTheme mode="dark">
      <MockComponent />
    </WaTheme>
  )
}
```
